Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.maven
Interface GroovyPomFilterContainer

All Superinterfaces:
  PomFilterContainer

All Known Subinterfaces:
  CopyableGroovyPomFilterContainer

    public interface GroovyPomFilterContainer

extends PomFilterContainer

Field Summary

Fields inherited from interface org.gradle.api.artifacts.maven.PomFilterContainer
`DEFAULT_ARTIFACT_POM_NAME`

Method Summary
`MavenPom` | `addFilter(java.lang.String name, groovy.lang.Closure filter)` Adds a publish filter.
`void` | `filter(groovy.lang.Closure filter)` Sets the default publish filter.
`MavenPom` | `pom(groovy.lang.Closure configureClosure)` Configures the default pom by a closure.
`MavenPom` | `pom(java.lang.String name, groovy.lang.Closure configureClosure)` Configures a pom by a closure.

Methods inherited from interface org.gradle.api.artifacts.maven.PomFilterContainer
`addFilter, filter, getActivePomFilters, getFilter, getPom, pom, setFilter, setPom`

Method Detail

### addFilter

    MavenPom addFilter(java.lang.String name,
                       groovy.lang.Closure filter)

  Adds a publish filter.

  Parameters:
    `name` - The name of the filter
    `filter` - The filter
  Returns:
    The Maven pom associated with the closure
  See Also:
    `PublishFilter`, `PomFilterContainer.addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)`

### filter

    void filter(groovy.lang.Closure filter)

  Sets the default publish filter.

  Parameters:
    `filter` - The filter to be set
  See Also:
    `PublishFilter`, `PomFilterContainer.setFilter(org.gradle.api.artifacts.maven.PublishFilter)`

### pom

    MavenPom pom(java.lang.String name,
                 groovy.lang.Closure configureClosure)

  Configures a pom by a closure. The closure statements are delegated to the pom object associated with the given name.

  Parameters:
    `name` -
    `configureClosure` -
  Returns:
    The pom object associated with the given name.
  See Also:
    `PomFilterContainer.pom(String)`

### pom

    MavenPom pom(groovy.lang.Closure configureClosure)

  Configures the default pom by a closure. The closure statements are delegated to the default pom.

  Parameters:
    `configureClosure` -
  Returns:
    The default pom.
  See Also:
    `PomFilterContainer.getPom()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD